{
  description = "NDI Discovery Go program";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils, ... }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs { system = system; config.allowUnfree = true; };
      in {
        devShell = pkgs.mkShell {
          buildInputs = [
            pkgs.go
            pkgs.ndi
          ];
          LIBNDI="${pkgs.ndi}/lib/libndi.so";
          CFLAGS="-I${pkgs.ndi}/include";
          LDFLAGS="-L${pkgs.ndi}/lib -lndi";
        };
        packages = {
          ndi_discover = import ./package.nix { inherit pkgs; inherit self; };
        };
        defaultPackage = import ./package.nix { inherit pkgs; inherit self; };

        apps = {
          ndi_discover = {
            type = "app";
            program = "${self.packages.${system}.ndi_discover}/bin/ndi_discover";
          };
        };
      });
}
